
Application: gvSIG desktop - gvSIG bugs #2392
Can't delete CRS temporary database folder
02/26/2014 06:29 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.1.0-2229-testing
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2229 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

In order to reproduce this error, simply open and close gvSIG. In detail, it happens every time gvSIG application is closed and
consequently there are a lot of temporary cached database folders. Here's the error:

INFO Thread-6 es.idr.teledeteccion.connection.epsg.HSQLDataSource$RemoveFolderOnShutdown - Deleting CRS temporary
database folder (C:\Users\Antonio\gvSIG\plugins\org.gvsig.projection.app.jcrs\db\temp-pid6772).
ERROR Thread-6 es.idr.teledeteccion.connection.epsg.HSQLDataSource$RemoveFolderOnShutdown - Can't delete CRS
temporary database folder (C:\Users\Antonio\gvSIG\plugins\org.gvsig.projection.app.jcrs\db\temp-pid6772.
java.io.IOException: Unable to delete file: C:\Users\Antonio\gvSIG\plugins\org.gvsig.projection.app.jcrs\db\temp-pid6772\Cached
databases\EPSG.log
at org.apache.commons.io.FileUtils.forceDelete(FileUtils.java:2279)
at org.apache.commons.io.FileUtils.cleanDirectory(FileUtils.java:1653)
at org.apache.commons.io.FileUtils.deleteDirectory(FileUtils.java:1535)
at org.apache.commons.io.FileUtils.forceDelete(FileUtils.java:2270)
at org.apache.commons.io.FileUtils.cleanDirectory(FileUtils.java:1653)
at org.apache.commons.io.FileUtils.deleteDirectory(FileUtils.java:1535)
at es.idr.teledeteccion.connection.epsg.HSQLDataSource$RemoveFolderOnShutdown.run(HSQLDataSource.java:143)

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2584: Al cargar algunos ... Closed 06/19/2014

History
#1 - 02/27/2014 11:06 AM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2

#2 - 02/27/2014 11:07 AM - Álvaro Anguix

In linux does not happen, only in Windows

#3 - 02/27/2014 11:11 AM - Álvaro Anguix

note: check and attach a list of gvSIG\plugins\org.gvsig.projection.app.jcrs\db (user home) and .log
#4 - 02/27/2014 11:30 AM - Antonio Falciano
- File gvSIG_cant_delete_CRS_db.log added
- File list.txt added
- File temp-pid7856.zip added

#5 - 04/04/2014 10:28 AM - Álvaro Anguix
- Priority changed from High to Normal

#6 - 05/17/2014 09:10 PM - Antonio Falciano
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2259-rc3

Only to say that the contents of my gvSIG\plugins\org.gvsig.projection.app.jcrs\db folder is quite huge at the moment (>1 GB). IMHO this is a serious
issue, because some unexperienced users or someone with old PCs could have problems with their hard disks.

#7 - 05/18/2014 09:52 PM - Álvaro Anguix
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

#8 - 05/19/2014 12:36 PM - Álvaro Anguix
- Category set to Application
- Assignee set to Joaquín  del Cerro Murciano
- Priority changed from Normal to High
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2259-rc3
- Severity set to Major

#9 - 06/05/2014 08:18 AM - Álvaro Anguix
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí

#10 - 06/08/2014 03:53 PM - Joaquín  del Cerro Murciano

He añadido codigo para que cuando se consulte un CRS a traves de CRSFactory.getCRS se cierren las conexiones a la BBDD. Tal como estaba no
se cerraban nunca y es facil que esa fuese una de las causas que provocaban que en Windows no se puediese borrar la BBDD a la salida de la
aplicacion. 
Lo que no se es si desde algun otro sitio se estara abriendo la BBDD y se quedara abierta, abra que esperar a probarlo en Windows a ver que hace.

Para el proximo build voy a dejar las trazas de jCRS activadas para poder ver que es lo que dice.

Los cambios estan en la revision 229 y 230 del proyecto de gvsig-jcrs.

    -  https://devel.gvsig.org/redmine/projects/gvsig-jcrs/repository/revisions/229
    -  https://devel.gvsig.org/redmine/projects/gvsig-jcrs/repository/revisions/230
    -  r41389

#11 - 06/09/2014 09:52 AM - Álvaro Anguix
- Status changed from New to Fixed
- Assignee changed from Francisco Díaz Carsí to Joaquín  del Cerro Murciano

Paco ha estado probando los cambios y comenta que funciona y que puede pasarse a fixed.
Cambio el estado.
#12 - 06/13/2014 01:49 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2229-testing

#13 - 06/13/2014 06:30 PM - Antonio Falciano
- File gvSIG_cant_delete_CRS_db_bn2229.log added
- Status changed from Fixed to New

It seems that the fix doesn't work with a fresh install of BN2229, so I have to reopen the ticket. I attach a new log file.

#14 - 06/15/2014 06:17 PM - Álvaro Anguix
- gvSIG build changed from 2220 to 2229
- Target version changed from 2.1.0-2229-testing to 2.1.0-2259-rc3

#15 - 06/16/2014 08:17 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

#16 - 06/17/2014 10:46 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2229-testing

#17 - 06/19/2014 08:11 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2584: Al cargar algunos WMS tarda varios minutos en habilitarse el boton de siguiente. added

#18 - 06/23/2014 03:32 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_cant_delete_CRS_db.log 415 KB 02/27/2014 Antonio Falciano
list.txt 839 Bytes 02/27/2014 Antonio Falciano
temp-pid7856.zip 908 KB 02/27/2014 Antonio Falciano
gvSIG_cant_delete_CRS_db_bn2229.log 330 KB 06/13/2014 Antonio Falciano
